Page MenuHomeFreeBSD

Update ipfw(4) manpage with all kernel options
ClosedPublic

Authored by driesm.michiels_gmail.com on Apr 22 2020, 8:22 PM.

Details

Summary

Include all currently present kernel options for IPFW
Also fix igor complaint about manpage/s/man page

PR: 219075
Reported by: rgrimes@freebsd.org

Test Plan

igor
make install && man 4 ipfw

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Thank you, nice additions beyond what I stumbled on in the PR

share/man/man4/ipfirewall.4
71 ↗(On Diff #70893)

I like .Tn it renders very nice text when your using groff to ps/pdf output. I do not like that .Tn is unsupported by mandoc. People have been removing it from manpages, which I also disagree with, as it should just silently be ignored.

This revision is now accepted and ready to land.Apr 23 2020, 12:25 AM

Ok from manpages. Can't say much about the actual content, though.

FYI, I don't have a bit. We can wait a bit longer though for other people to possibly chime in.

I think this is fine to commit now :-). If any other pointers come up on the mailing lists regarding this commit I'll make an additional review to tackle those.

I know there well be flak over using .Tn in a man page fix, can you submit a new diff without the .Tn's?

I could definitely do that, @bcr do you think the .Tn is a blocker? Its already present in this man page at line 40.

bcr requested changes to this revision.May 13 2020, 11:41 AM
bcr added a reviewer: 0mp.
bcr added a subscriber: 0mp.

@0mp: Do you think we should keep the .Tn?
I lean towards committing the change as it is and handle the man page macros in a follow-up commit.

This revision now requires changes to proceed.May 13 2020, 11:41 AM
In D24541#546406, @bcr wrote:

@0mp: Do you think we should keep the .Tn?
I lean towards committing the change as it is and handle the man page macros in a follow-up commit.

I'd keep it for now for consistency and remove all Tn's at once in a subsequent commit.

Hi all, I don't have a commit bit :-). Following the discussion above, could someone take care of the commit? I'll quickly follow up with a new review removing the .Tn's.

This revision was not accepted when it landed; it landed in state Needs Revision.May 22 2020, 3:13 AM
This revision was automatically updated to reflect the committed changes.